/*
 * This code is for three servos to close a box when it receive a signal from the ultrasonic sensor board.
 * This code done by Eidha Alrashdi in FAbacaemy2018
 * 6/21/2018
 * 
 */


#include <SoftwareSerial.h>//include serial library
SoftwareSerial myserial(0,1);//define that rx=0 and tx=1, I connected the 
#include <Servo.h>// include servo library
Servo myservo1;// define the first servo
Servo myservo2;//define the second servo
Servo myservo3;//define the third servo

int servo1 = 3;// indicate servo 1 pin 3
int servo2 = 5;// second servo in pin 5
int servo3 = 6;//third servo in pin 6
int val = '1';// define val= to the signal that I will send from the sensor board
int led =4;// I added Led just to see if the board works and it receive the signal from the sensor
void setup() {

  myservo1.attach(3);// atach the long arm servo to pin 3.
  myservo2.attach(servo2);// atach side servo to pin 5.
  myservo3.attach(servo3);// atach side servo to pin 5.
  myservo1.write(10);//I put this to make sure they go first to angle 10.
 myservo2.write(4);//I put this to make sure they go first to angle 10.
  myservo3.write(4); //I put this to make sure they go first to angle 10.
  myserial.begin(9600);
  pinMode(led,OUTPUT);

}

void loop() {

 int chr = myserial.read();// int equal whatever the serial read from the master

  if (chr == val)
{
  digitalWrite(led,HIGH);
  delay(1000);
  myservo2.write(90);// move side servo to angle 90.
delay(1000);
myservo2.write(0);// return to angle 0
delay(2000);
myservo3.write(90);
delay(1000);
myservo3.write(0);
delay(2000);
myservo1.write(150);
delay(2000);
myservo1.write(10);
delay(2000);


}


else 
{
 myservo1.write(4);// I choose this angle to avoid the noise when I make 0.
 myservo2.write(4);
myservo3.write(4);
digitalWrite(led,LOW);

}

}
